Skip to main content
GET
/
api
/
internal
/
provider-credentials
/
{id}
Get credential metadata
curl --request GET \
  --url https://api.example.com/api/internal/provider-credentials/{id} \
  --cookie better-auth.session_token=
{
  "id": "<string>",
  "providerId": "<string>",
  "providerSlug": "<string>",
  "active": true,
  "organizationId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.komprai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Path Parameters

id
string
required

ProviderCredential ID.

Response

200 - application/json

Default Response

id
string
required

Credential ID.

providerId
string
required

Provider ID.

providerSlug
string
required

Provider slug, e.g. 'google-maps'.

active
boolean
required

Whether the credential is active.

organizationId
string

Owning organization ID.